from django.shortcuts import render_to_response
from django.template import RequestContext
from django.contrib import admin
from django.utils.translation import ugettext_lazy, ugettext as _

def custom_proc(request):
    "A context processor that provides 'user', and 'ip_address'."
    return {
        'user': request.user,
        'ip_address': request.META['REMOTE_ADDR']
    }

def requires_login(view):
    def new_view(request, *args, **kwargs):
        if not request.user.is_authenticated():
            return admin.site.login(request)
        return view(request, *args, **kwargs)
    return new_view

def homepage(request):
	user = request.user
	return render_to_response('homepage.html',  
		context_instance=RequestContext(request, processors=[custom_proc])
	)